View Issue Details

IDProjectCategoryView StatusLast Update
0003129Path[FreeCAD] Bugpublic2018-02-08 19:01
ReporterGeneFCAssigned Tosliptonic 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWindows 7OSWindowsOS Version7
Product Version[FreeCAD] 0.17 
Target VersionFixed in Version[FreeCAD] 0.17 
Summary0003129: Path - Bug in Start Point when one coordinate is zero
DescriptionThe Path workbench provides an option to select a specific starting point for a machining path, overriding the automatically chosen starting point. This allows for special cases that may be required by certain machines and certain workpieces.

The selected start points works correctly with one important exception. If one of the requested coordinates (for example X-position or Y-position) is exactly zero that coordinate is completely ignored when creating the internal path code and the resulting gcode. If the coordinate is very slightly different from zero, say 0.00001 mm, then the operation works correctly.
Steps To Reproduce* Create FreeCAD model, Path Job, Path Tools, etc in the usual manner.
* Create a path, such as a Pocket or Profile, so that the final position of the tool is not left at (0,0). For instance, the tool ends up at (10,10) at the completion of the path.
* Create another path, such as a Profile, with a requested start point of (20,0), for example.
* The actual start point in the resulting gcode will be (20,10) instead of the requested (20,0).
* If the requested start point is (20,0.00001) then the actual start point will be correctly set as (20,0.00001).
Additional InformationOS: Windows 7
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.11576 (Git)
Build type: Release
Branch: master
Hash: 828793f8f49d67e502b7456c3b3d14afef4c7eaa
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0

Forum discussion at: https://forum.freecadweb.org/viewtopic.php?f=15&t=23451
TagsPath

Activities

sliptonic

2018-01-22 06:22

developer   ~0010810

@realthunder, can you weigh in on this?

realthunder

2018-01-22 08:46

developer   ~0010813

Last edited: 2018-01-22 08:48

View 3 revisions

Just submit a PR for this.

This reported behavior is actually intentional. But it does disallow the user to specify the origin as the start position. With the above PR, the behavior of Path.fromShapes is changed such that it will respect any start position you pass in. If no start parameter is given, only then will it auto select one.

sliptonic

2018-01-26 23:16

developer   ~0010872

@GeneFC, The PR has been merged. Can you please verify a fix and report back so this can be closed?

sliptonic

2018-02-08 15:35

developer   ~0010936

No response. Assuming the PR resolved the issue. Will reopen if OP reports differently

Issue History

Date Modified Username Field Change
2017-07-16 15:59 GeneFC New Issue
2017-07-16 15:59 GeneFC Tag Attached: Path
2018-01-22 06:22 sliptonic Note Added: 0010810
2018-01-22 08:46 realthunder Note Added: 0010813
2018-01-22 08:47 realthunder Note Edited: 0010813 View Revisions
2018-01-22 08:48 realthunder Note Edited: 0010813 View Revisions
2018-01-26 23:16 sliptonic Note Added: 0010872
2018-01-27 13:19 Kunda1 Tag Attached: #tobeclosed
2018-02-08 15:35 sliptonic Assigned To => sliptonic
2018-02-08 15:35 sliptonic Status new => closed
2018-02-08 15:35 sliptonic Resolution open => fixed
2018-02-08 15:35 sliptonic Fixed in Version => 0.17
2018-02-08 15:35 sliptonic Note Added: 0010936
2018-02-08 19:01 Kunda1 Tag Detached: #tobeclosed